- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Executives::DeductiveController::Stub::DCCallbackStub Class Reference

`#include <DCCallbackStub.h>`

Inheritance diagram for Mers::Executives::DeductiveController::Stub::DCCallbackStub:

[legend]
Collaboration diagram for Mers::Executives::DeductiveController::Stub::DCCallbackStub:

[legend]
List of all members.

## Public Member Functions
| DCCallbackStub ()
virtual | ~DCCallbackStub ()
void | update_mode (Mers::Utils::Containers::intList const &mode_update)
void | execute_command (Mers::Utils::Containers::intList const &commands)
virtual void | update_observation (unsigned int varUID, unsigned int valUID)

## Detailed Description

An C++ interface that lets SCL retrieve the next control command from DC. The SCL side must implement this interface.

Author:
  Seung H. Chung

Definition at line 30 of file DCCallbackStub.h.

## Member Function Documentation

void DCCallbackStub::update_mode | ( | Mers::Utils::Containers::intList const & | mode_update | ) | `[virtual]`

This is the client's "event handler" for mode estimate updates. It will be invoked each time a new mode estimate is produced by ME.

NOTE: Even though only the top candidate is currently returned, it would be nice if this method supported multiple candidates.

Parameters:

  | mode_update | The complete state estimate

Implements Mers::Executives::DeductiveController::DCCallback.

Definition at line 44 of file DCCallbackStub.cpp.

void DCCallbackStub::execute_command | ( | Mers::Utils::Containers::intList const & | commands | ) | `[virtual]`

This is the client's "event handler" for mode reconfiguration updates. It will be invoked each time a new command is produced by MR.

Parameters:

  | commands | A list of commands that should be executed. The first item in this list (commands.front()) is not a command directive, but a status flag:

0 - The goal is already achieved - no commands necessary

1 - The commands to be executed constitute the remainder of the list

2 - The specified goal is unachievable

Implements Mers::Executives::DeductiveController::DCCallback.

Definition at line 64 of file DCCallbackStub.cpp.

void DCCallbackStub::update_observation | ( | unsigned int | varUID,
|  | unsigned int | valUID |
| ) |  |  | `[virtual]`

This is the client's "event handler" for updates from other subsystems. It will be invoked each time a new observation is made on anything not handled by ME.

Parameters:

  | varUID | the UID of the variable being updated
  | valUID | the UID of the value being updated

Implements Mers::Executives::DeductiveController::DCCallback.

Definition at line 54 of file DCCallbackStub.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Stub/DCCallbackStub.h
- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Stub/DCCallbackStub.cpp